loci.formats.tiff

## Class OnDemandLongArray

- java.lang.Object
- - loci.formats.tiff.OnDemandLongArray

-     public class OnDemandLongArray
      extends java.lang.Object

  Author:
    Melissa Linkert melissa at glencoesoftware.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `size`
    `private long` | `start`
    `private loci.common.RandomAccessInputStream` | `stream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnDemandLongArray(loci.common.RandomAccessInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `long` | `get(int index)`
    `loci.common.RandomAccessInputStream` | `getStream()`
    `void` | `setSize(int size)`
    `void` | `setStream(loci.common.RandomAccessInputStream in)`
    `long` | `size()`
    `long[]` | `toArray()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stream

          private transient loci.common.RandomAccessInputStream stream

    - #### size

          private int size

    - #### start

          private long start

  - ### Constructor Detail

    - #### OnDemandLongArray

          public OnDemandLongArray(loci.common.RandomAccessInputStream in)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### setSize

          public void setSize(int size)

    - #### getStream

          public loci.common.RandomAccessInputStream getStream()

    - #### setStream

          public void setStream(loci.common.RandomAccessInputStream in)

    - #### get

          public long get(int index)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### size

          public long size()

    - #### toArray

          public long[] toArray()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment